Overview

The ESA410 Electrochemical Signal Analyzer is a complete package for acquiring and analyzing electrochemical signals. The ESA410 consists of two components, Acquisition and Analysis.

Both the Acquisition and Analysis components may be running at the same time. However, for ease of documentation, these components will each be described separately.


Data Acquisition Introduction

The image below depicts data being acquired on the ESA410.


Application Startup

At startup, the application will find the first available Gamry Potentiostat and begin measurement. The device will be initialized to its default settings, where I and V will be sampled at 500 Hz in ZRA mode with the Cell off. At any time, the user may select a new device or change any of the device’s settings.

Whenever a new device is selected, the new device will also be initialized to these default settings.


Multiple Devices

The ESA410 supports data acquisition with multiple instruments.

If a computer has multiple Gamry devices, simply select New Window from the File menu, or press CTRL+N.

This second window will use the next available device, and start up normally.


Frequency and Filter

Output Frequency

The ESA410 can be configured to record I and V data pairs at sample rates ranging from 0.1 Hz to 1 kHz. A series of phase-linear digital decimation filters reduce the internal 4000 Hz sampling rate to the Output Frequency.

When data storage is a critical issue, we recommend reducing the sampling rate to the lowest usable rate. Also, plotting large amounts of data is graphically intensive, so screen update speed may lag at higher frequencies or with slower computers.

Output Filter

The last filter of the decimation filter series has a user-selectable accuracy of 0.1%, 1% or 10%. The trade-off is delay time. A noise event will take 4 times longer to be reported in the output using the 10% filter vs. the 0.1% filter, but the spectral response will be as much as 10% in error.

Output Frequency and Output Filter


Bias and External Noise

The Bias setting allows the user to adjust the DC level of the measurement.

External noise sets the amplitude of noise applied via the instrument. The noise generated is uniform white noise, and will be offset by the Bias setting. The signal repeats after 10,001 points.

Bias and External Noise Controls


Data Acquisition

Although the ESA is constantly measuring, data is only saved when the Record Data button has been pressed. Data will be saved to a binary file, formatted for the ESA Analysis application. Data will be written to this file until either requested Duration has been reached, or the user manually ends the process by pressing the Record Data button a second time. Once acquisition has been completed, or even while acquisition is continuing, the data can be analyzed in more detail using the Data Analysis application.

An estimated number of points is displayed above the Duration, based upon the Acquisition Frequency and the Duration.

Data Acquisition Controls


Log Window

The Log Window displays a running record of any status messages displayed by the application.

Prior to Data Acquisition

Prior to pressing the Record Data button, the user may enter Experiment Notes. These notes will be written to both the ESA410 data and log files.

During Data Acquisition

When the Record Data button is pressed and data acquisition begins, the application will write the device’s current settings to the log window. Any subsequent changes to settings will also be noted as a standard log message.

The Save Notes button will become the Write to Logfile button. By pressing this button, any text entered in the Notes window will be appended to the logfile with a relevant timestamp.

Timestamps

All messages are formatted with a Timestamp and a Source. Timestamps are not absolute time; they are simply the hours, minutes, and seconds since the start of data acquisition. Two examples are explained in detail below.

--:--:-- [Device]: Vch Range set to 300 mV

In this example, the user changed the Vch Range of the device to the 300 mV range before pressing the Record Data button and starting the experiment.

01:23:45 [User]: Inhibitor added

Here, the user typed "Inhibitor added" into the Notes window, and pressed the Write To Logfile button 1 hour, 23 minutes, and 45 seconds after starting the experiment.

Log Window Controls


Graph

The graph’s display style can be customized by the user as needed. Simply right-click on either the Voltage or Current section of the Graph Controls to independently edit the plot’s color, point style, or line style.

Last Point

Last Point indicators are indicated in the Overload section, and indicate the most recently acquired Voltage or Current value. Depending on the Output Frequency setting, these values may update rather quickly; pressing the Pause button is advised.

Last Point Indicators

Clear Graph

To clear the graph at any time, press the Clear Graph button. This will only clear the data on the graph, and has no effect on saving points to the data file.

Pause

Pressing the Pause button will temporarily bring the measurement to a halt. Press the Pause button again to resume. Please note that this will also pause data acquisition if the Record Data button has been pressed. Duration is not realtime. Pausing an experiment will lengthen the experiment. For example, if Pause is pressed with 30 seconds remaining in an experiment, there will still be 30 seconds remaining in the experiment whenever the experiment resumes.

Tools

The Crosshair tool disables all other tools, and prevents the user from accidentally scrolling or scaling the graph.

The Hand tool allows the user to click in the data portion of the graph and adjust interactively. Pausing the acquisition prior to using the hand control is strongly recommended.

The scaling of the graph can be adjusted by using the graph’s Zoom tools, accessible by clicking on the magnifying glass icon in the graph control section. With these tools, the user may select a particular portion of the graph, adjust the viewable portion of the x- or y-axes, or zoom in or out. Graph scaling may also be adjusted manually, by simply clicking on an axis label and typing a new value. A smaller timespan may improve graphical performance on slower computers.

Graph Zoom Controls

In most cases, the Autoscale Y Axis option should remain checked. On slower computers, however, it may be necessary to disable this feature, as autoscaling during experiments at high-frequencies experiments may be computationally intensive. The Scale Now button provides one-time Y Axis autoscaling.


Setup File

To facilitate an easier method of duplicating experiments, the ESA410 supports the saving and loading of setup parameters. The saved settings are device independent. Therefore, only the Data File, Control Mode, Output Frequency, Output Filter, Bias, and Noise are saved and or loaded. All other settings, including the device in use and all hardware range settings, are not saved.


Device Settings

The ESA410 allows the user to change the settings of the Potentiostat. Please note that the following descriptions are simply an overview of the Potentiostat’s settings. Consult your hardware manual for further details on these options.

Control Mode

This control specifies the control mode of the Potentiostat.

Potentiostat mode controls the voltage between Working vs. Reference electrods while monitoring the current and controlled voltage.

Galvanostat mode controls the current while monitoring the potential and controlled current.

ZRA mode controls the voltage (usually 0 V) between the Working and Counter electrodes while monitoring the current and Working vs. Reference voltage.

IE Range

These controls specify the voltage and current channel gain stages as well as the I/E Range resistor.

The I/E Range defines how a current is converted to a measurable voltage in the instrument. If the I/E Range is too big, the measurement resolution is too coarse. If the I/E Range is too small, an I/E overload indicator will come on. There is also a chance that on the smaller ranges, high frequency response will be diminished. The ESA10 will suggest a “Recommended” or lowest current range suitable for a given sampling rate.

When set to Auto-Up, the ESA410 device will attempt to find and display the most appropriate I/E setting. During an experiment, while Auto-Up is set, if the current range is exceeded, the ESA410 will switch to the next higher current range. The user may switch it to a lower range manually.

Vch Range and Ich Range

These ranges control the post I/E converter and post Electrometer ranges. In the Reference and PCI4 family instruments, the ranges are 30 mV, 300 mV, 3 V and 30 V. The user may set these ranges appropriate to the noise signal being measured.

The ESA410 implements a sliding window offset algorithm that allows a range to be used to measure a signal that may exceed that range, as long as the signal is drifting slowly (< 1 range window / second or so).

The Vch/Ich Range Auto setting implements an algorithm that attempts to correct the range automatically, depending on the signal’s frequency and amplitude characteristics.

Hardware Range Controls

Cell State

To turn the cell on or off, press the Toggle button. The LED to the right of the toggle button indicates the current state of the instrument.


Overloads

Several Overloads are reported on the ESA410.

The Electrometer Overload (Elec) indicates the Working-Reference voltage is out of range. This usually doesn’t happen if the electrodes are connected correctly and the instrument is working correctly. Look for an open Reference or Working Sense connection. Note: open Reference connections can be caused by open circuits on either the wire or the liquid side of the electrode.

The Vch Overload (Vch) occurs when the voltage measurement temporarily exceeds the measurement range – Vch Range. Some Vch Overload signals are acceptable and should not cause data loss. If the signal is slow, the offset window will quickly compensate and no harm is done. However, if the signal varies rapidly, the Vch Overload may be on a significant fraction of the time. Increase the Vch Range or enable Vch Autorange to eliminate this overload.

The I/E Overload (IE) indicates the I/E converter is attempting to convert a current outside of its current range. Increase the current range or enable the Auto-Up ranging to eliminate this overload.

The Ich Overload (Ich) is similar to the Vch Overload (see above). Switch to the next higher Ich Range or enable Ich Autorange to eliminate it.

The Control Amp overload indicates that the potentiostat is unable to supply the requested current or voltage. This can occur when the cell leads are misconnected or the cell cable is open. Check the Counter and Working leads. In Potentiostat Mode also check the Reference and Working Sense leads. In ZRA Mode also check the Reference and Counter Sense leads.

The Settling Overload indicates a change in the instrument settings is causing a temporary adjustment period in the output. Sometimes these settling overloads are unavoidable, for example when the I/E range is changed. Depending on the current range, there will be some time after the change where the measurement is inaccurate.


Data Analysis: Introduction

The ESA410 contains comprehensive analysis tools to help you extract the most information from your electrochemical signals. These analysis tools can be used not only on data acquired with your ESA410 system, but on data acquired on other systems as well. Analysis tools such as peak finding, time-frequency domain transformations, and Joint Time Frequency Analysis put power at your fingertips.

Comparison of different signals simultaneously is also possible, as is the analysis of data which is still being acquired. All of this information is then available to be printed as a report, or published to a Microsoft Word or HTML document, so you can share the information with your colleagues.


Data Analysis: File Menu Commands

The selections on the File pull down menu deal with the loading of files, the printing of reports, and the exiting of the ESA410 Analysis program. The loading or importing of files is the first requirement before beginning data analysis. Without loading a data file, no analysis tools can be utilized. However, once a data file has been loaded, all of the available tools will become active.

Load Data File...

Import Data File...

Export Data File...

Report...

Exit


Data Analysis: Overlay Menu Commands

The selections on the Overlay pull down menu deal with the addition and removal of signal traces/overlays. Prior to being able to add an overlay, a Main data file must first be loaded. Once a Main data file has been specified, additional overlays may be added. Before an overlay can be removed, at least one overlay has to have been added. You may not remove the Main data file.

Add...

Remove...


Data Analysis: Transforms Menu Commands

The selections on the Transforms pull down menu deal with the transformation of the data from the Time domain to the Frequency domain. These options will not be available until a Main data file has been loaded. Each of the transforms will bring up a separate window, in which the transformed data will be presented. The data that will be transformed is that which is currently visible in the ESA410 Analysis main window. For example, if the data which is being viewed is from Time 0.0 seconds to Time 360.0 seconds, that is the subsection of data which will be transformed, even if the total data length is 3600 seconds.

Fourier Transform

Maximum Entropy Method

Fourier Power Spectrum

JTFA

Cross Correlation

Impedance Spectrum


Data Analysis: Tools Menu Commands

The selections on the Tools pull down menu deal with data calculations as well as customizing your ESA410 Analysis settings. The tools include Peak and Valley finding, as well as a probability chart of the raw signal data.

Options...

Statistics

Peak Finder

Mark Peaks

Criteria...

Summary...

Probability Histogram


Data Analysis: Help Menu Commands

The selections on the Help pull down menu deal with finding help on the use of the program, as well as informing the user how to contact Gamry Instruments, and to determine which version of the ESA410 is currently running.

ESA410 Help

About ESA410...


Smoothing Windows

When sampling in the digital domain, one can obtain only a finite record of the continuous time signal. This finite sampling record causes the truncated waveform to have discontinuities as compared to the original continuous-time signal. These discontinuities cause leakage of spectral information which, when transformed to the frequency domain, produce a smeared version of the original continuous-time spectrum. The discontinuities show up as high frequency content, which did not occur in the original time signal.

Smoothing windows can improve the spectral characteristics of a sampled time signal. These windows help to minimize "edge" effects, or transitions of the truncated waveforms. These smoothing windows act as a type of filter, specifically a narrowband, lowpass filter. The definitions of some of the most common smoothing windows are presented:

Hanning

for i = 0, 1, 2, ..., n-1

Hamming

for i = 0, 1, 2, ..., n-1

Blackman

for i = 0, 1, 2, ..., n-1

Blackman-Harris

for i = 0, 1, 2, ..., n-1

Exact-Blackman

for i = 0, 1, 2, ..., n-1

where

Flat-Top

for i = 0, 1, 2, ..., n-1


About ESA400...

About ESA410...

The Help, About ESA410... command is used to obtain information concerning the Gamry Instruments software loaded on your computer system. This command is always available.

When the About ESA410... command is selected, a dialog box displaying Gamry Instruments, Inc. information is displayed.


ESA400 Help

ESA410 Help/Contents

The Help, ESA410 Help command is used to access the online help information pertaining to the Gamry Instruments software loaded on your computer system.


Getting Help

One of the places to get help, is the online help documentation, which you are currently reading. This documentation contains information prevalent to the use of the ESA410. Other places to get help are as follows:

CTRL_H Help: Pressing Control+H while in a dialog box will bring up a context sensitive help window, which will allow the user to view information about specific controls.

Gamry Instruments Headquarters:

Email | support@gamry.com
World Wide Web | www.gamry.com
Telephone | (215) 682-9330
Fax | (215) 682-9331

Signal Processing:

Chen, Dapang; Qian, Shie; Joint Time-Frequency Analysis, Methods and Applications; Prentice Hall PTR, 1996.

Lim, Jae S.; Oppenheim, Alan V.; Advanced Topics in Signal Processing; Prentice Hall, 1988.

Marple, S. Lawrence; Digital Spectral Analysis with Applications; Prentice Hall, 1987.

Oppenheim, Alan V.; Schafer, Ronald W.; Discrete-Time Signal Processing; Prentice Hall, 1989.

Press, William H.; Teukolsky, Saul A.; Vetterling, William T.; Flannery, Brian P.; Numerical Recipes in C, The Art of Scientific Computing; Cambridge University Press, 1992.

Shiavi, Richard; Introduction to Applied Statistical Signal Analysis; Asken Associates, 1991.

Stearns, Samual D.; Hush, Don R.; Digital Signal Analysis, Prentice Hall, 1990.


Filters

Delete this text and replace it with your own content.


Adaptive Spectrogram

Adaptive Spectrogram – has the best joint time-frequency resolution for the analysis of quasistationary signals. These are signals that do not change rapidly in either time or frequency. The Adaptive Spectrogram differs from the Gabor Spectrogram in the following way. The Gabor Spectrogram uses a Gaussian function with uniform variance to compare the analyzed signals at a fixed time-frequency grid. The Adaptive Spectrogram adjusts the variance, time, and frequency centers of the Gaussian functions to best match the analysis signal. The adaptive spectrogram is defined as:

where the coefficients are determined by,

The following parameters are available in the Adaptive Spectrogram calculation:

# of Terms

This parameter determines the maximum number of elementary functions used. The more functions used, the more accurate the transformation. However, computational time is increased with more terms. Use larger number of terms in order to decrease the residual.

The following are outputs of the Adaptive spectrogram calculation:

residual

This is a numerical representation of the accuracy of the linear chirp fuctions. If the approximation is equal to the original signal, the residual reduces to zero. The residual is defined as:


Exit

This item allows the user to exit from the ESA410 Analysis panel, hence, exiting the analysis portion of the ESA410. Selecting this Exit, however, will not cause the ESA410 Real Time Acquisition program to exit.


Fourier Transform

The Fourier Transform command brings up the Fourier Transform window. This window allows the user to pass the currently viewed data through a windowed Fourier Transform, hence transforming the data from the time to the frequency domain.

The Fourier Transform of a time domain signal, x(t), is defined as:

The smoothing window is used to pre-process the data prior to taking the Fourier transform. Several different smoothing windows are available. The smoothing windows help eliminate edge effects which can occur when transforming data. See the section on Smoothing Windows for more information.

The number of frequency bins is used to determine how many discrete frequencies are used in the Fourier transform. The data is zero-padded to the next higher power of 2, and the Fast Fourier transform is computed on the input signal. This process is iterated until all of the data has passed through the algorithm. This is known as a sampled spectrum.

The Export Calculations button exports the data on the Graphs to a tab-delimited ASCII text file. The order of the columns is:

Frequency

Voltage Transform

Current Transform

Ratio of Transforms

The Slopes button is used to bring up the Slope Calculation window.


Options...

The Options dialog allows the user to customize their settings. These settings affect also the information presented. Each of the options will be discussed below:

De-trend Data: This Option controls whether or not de-trending is performed on the data being analyzed. De-trending performs a polynomial fit, using the order specified by Polynomial Order, of the data being shown, and subtracts this calculated baseline from the data. De-trending helps to remove DC drift which can occur over a long term test. De-trending can also be considered a type of high-pass filter, where slow DC evens are removed from the signal.

Data Normalization: This Option controls whether or not block data normalization is performed on the data being analyzed. Normalization is performed by taking into account the statistical profile of the current data. The original mean and standard deviation are utilized to obtain a vector of data whose statistical profile has a mean of 0 and a standard deviation of 1. This normalization is helpful when overlaying data files which have distinctly different baselines or have sufficiently different magnitudes. The time scale is not affected.


Choi-Williams Distribution

Choi-Williams Distribution – a smoothed version of the Wigner-Ville distribution. This smoothing reduces the interference obtained with the Wigner-Ville distribution at the price of longer computation time. The CWD is defined as:

The smoothing filter used by the CWD is an exponential kernel defined as:

The parameter ? controls the decay speed, hence the rolloff. The larger the ?, the better the cross term suppression. However, the larger the ?, the more auto-terms are affected.

The following parameters are available in the Choi-Williams Distribution:

Analytic | Determines if the reconstructed signal is an analytical signal. This can lessen the crossterm interference but will destroy the low frequency portion of the time-dependent spectrum.
parameter | This parameter controls the resolution and crossterm interference. This parameter can lessen the crossterm interference, but causes a lessening of the time-frequency resolution.


Cone Shaped Distribution

Cone-Shaped Kernel Distribution – considered as a smoothed version of the Wigner-Ville distribution. Although similar to the Choi-Williams distribution, which uses a parabola shape as the smoothing filter, the cone-shaped kernel distribution uses a filter with a cone shape. The cone shape function is defined as:

The parameter ? again controls the decay speed as in the CWD.

The following parameters are available in the Cone Shaped Distribution:

Analytic | Determines if the reconstructed signal is an analytical signal. This can lessen the crossterm interference but will destroy the low frequency portion of the time-dependent spectrum.
parameter | This parameter controls the resolution and crossterm interference. This parameter can lessen the crossterm interference, but causes a lessening of the time-frequency resolution.


Criteria...

The criteria dialog box allows the user to specify the thresholds and the width required for a signal transient to constitute a peak. There are separate criteria for both Current and Voltage.

The threshold is in magnitude, either Volts or Amps. The Width is in points. The width specifies how many sequential points must be above the threshold level for the transient to be considered a peak. Changing the width, while holding the threshold can cause the number of peaks to be changed. The location of the peak can also change based upon the width selected.


Cross Correlation

The correlation function is a function of the time-shift between two signals. When dealing in the digital domain, the time shifts are discrete and are integer multiples of the sample period. This makes the correlation function a discrete or sampled function.

Cross correlation between the input and output of a linear time-invariant system can have useful applications when the input of a system is white noise. For white noise with a zero-mean, the cross correlation between the input and output of a linear system is proportional to the impulse response of the system.

Cross correlation, Rxy(t) of two signals x(t) and y(t) is defined as:

The Cross Power Spectrum is the cross correlation of the Fourier transforms of the input signals x(t) and y(t).

The Export Calculations button exports the data on the Graphs to a tab-delimited ASCII text file. The order of the columns is:

Frequency

Spectrum Magnitude

Spectrum Phase

Time

Cross Correlation


Export Data File...

The Export Data File command allows users to export ASCII text files from the ESA410. This feature allows users to use the data they collected on the ESA410 in other scientific packages, or in general spreadsheets. The command exports the current Main Data File, and asks for a filename to which it can save the exported data. The format of the output file is a tab delimited text file with three columns of data as shown below. No headings are placed into the exported data file.

Time

Voltage

Current


Fourier Power Spectrum

The Fourier Power Spectrum command brings up the Fourier Power Spectrum window. This window allows the user to pass the currently viewed data as a Power Spectrum plot. This plot is similar to the Maximum Entropy Method plot, however, the spectrum is not as smoothed, and more detail may be present. The Fourier Power Spectrum is defined as the square of the Fourier transform:

where [image] is the Fourier transform of the signal.

The smoothing window is used to pre-process the data prior to computing the Power Spectrum. Several different smoothing windows are available. The smoothing windows help eliminate edge effects which can occur when transforming the data. See the section on Smoothing Windows for more information.

The Export Calculations button exports the data on the Graphs to a tab-delimited ASCII text file. The order of the columns is:

Frequency

Voltage Transform

Current Transform

Ratio of Transforms

The Slopes button is used to bring up the Slope Calculation window.


Gabor Spectrogram

Gabor Spectrogram – represents the original signal as a linear combination of time-and-frequency-shifted Gaussian functions. After computing the Gabor coefficients, the Wigner-Ville Distribution is used to obtain the spectrogram. The Gabor Spectrogram produces a better signal to noise ratio in the output intensity plot than the short time Fourier Transform (STFT) because the Gabor coefficients better reflect the local behavior of a signal. This results in a higher energy concentration in the joint time-frequency domain.

The following parameters are available in the Gabor calculation:

Analysis Window | The window specifies the smoothing window used on the time-domain signal. The choices are wideband, mediumband, and narrowband. A wideband window is equivalent to a window length of ~ 1 - 32, mediumband ~ 33-96, and narrowband ~ 96-256.
Order | This parameter controls the resolution and the crossterm interference of the transformation. The higher the order, the better the time-frequency resolution. As the order increases, the crossterm interference increases. An order approaching infinity causes the spectrogram to converge on the Wigner-Ville distribution. Computation time is also dependent on the order. Setting an order from 3 to 5 usually provides the best compromise between resolution and crossterm interference.


Impedance Spectrum

The Impedance Spectrum command brings up the Impedance Spectrum Window. This window allows the user to view the Impedance spectrum of the input V and I signals. This spectrum is calculated using both the Fast Fourier Transform (FFT) and the Maximum Entropy Method (MEM). The Power Spectrums of both the Voltage and the Current signals are ratioed and then the square root is taken of the resulting ratio.

The FFT produces a spectrum with more noise, while the MEM produces a smoother spectrum. The number of

This spectrum allows the user to see how their Cell Impedance changes as a function of frequency.

The Export Calculations button exports the data on the Graphs to a tab-delimited ASCII text file. The order of the columns is:

Frequency

Spectrum via PSD

Spectrum via MEM


Import Data File...

The Import Data File command allows users to import ASCII text files for analysis in the ESA410 Analysis program. The data files must contain data in the specified format, with evenly spaced data points. If the data file does not follow the correct format, inappropriate results can be obtained.

The correct format is a tab delimited text file, with three columns of data as shown below. There should be no headings in the file, only the raw data.

Time

Voltage

Current

Once the data file has been selected for Import, the ESA410 Analysis program will ask for a new filename, under which it will save the reformatted data file. This data file will now be in a binary format that can be ready by the ESA410 analysis program. The imported file is then automatically loaded into the analysis program.


JTFA

Traditionally, signals have been analyzed in either the time or the frequency domain, but not jointly in time and frequency. For signals that do not change their spectral content in time, standard spectral analysis reveals what frequencies are present and their relative intensities. For many signals, however, the frequency content changes over time. While Fourier analysis indicates what frequencies were present, it does not show when those frequencies occurred in time. JTFA is intended to determine how the frequencies of nonstationary signals change as a function of time. The following are the available JTFA algorithms.

Short Time Fourier Transform

Gabor Spectrogram

Adaptive Spectrogram

Pseudo Wigner-Ville Distribution

Choi-Williams Distribution

Cone Shaped Distribution

The following parameters are available to all of the above Joint Time-Frequency methods:

fs | Sample frequency of the data
f0 | Initial frequency to be viewed on the spectrogram.
Freq. Zoom | Factor for the zoom on the Frequency axis of the spectrogram. It is basically a magnifying glass, where the zoom factor is the power of magnification.
Pre-emphasis | This button applies or removes the pre-emphasis filter. This filter suppresses DC components of the input signal, hence enhancing the high frequency components of the signal.
Factor | Control factor for the pre-emphasis filter. The larger the control factor, the less DC component. This factor ranges from 0 to 1.
Data Source | The data source specifies whether to view the Raw Voltage and Current Data, or the Impedance data, which shows the instantaneous Impedance and Admittance values.
Calculation | This option determines whether calculation of the spectra is automatic or manual. Switching to manual on a slower computer can be handy, because changing one parameters will not cause a recalculation of the spectra. In this way, more than one parameter can be changed at once.
Scaling | This selection determines the scaling of the spectra. Either linear or dB scaling can be selected.
Cursor On | This switch controls whether or not the cursors on the spectra are displayed. The cursor can be useful to determine frequencies of interest on the spectrogram.
Calculate | This button forces a recalculation of the spectra. When calculation is in manual mode, this is the button to press in order to calculate the spectra.
Calculation Method | This control specifies which JTFA algorithm should be used for the calculation.

The Export Calculations button exports the intensity data on the Graph to a tab-delimited ASCII text file. When selecting Export Calculations, a dialog specifying which data to export will be displayed. Select the appropriate data and select Ok. The data is exported as a 2 dimensional array, with Time in the Columns and Frequency in the Rows. This file will be very large, and will not contain the discrete frequencies and times. This information will need to be calculated from the endpoints shown on the graph. The data points are all evenly spaced.


Kurtosis

This view presents the Kurtosis of a block of raw data. Both the Kurtosis V and Kurtosis I data will be presented. The block length used in the calculation is specified by the user in the Setup File. Kurtosis is calculated as:


Load Data File...

The Load Data File... command is the starting point for any post acquisition analysis. This command brings up a dialog box, from which you select the data file you wish to analyze. This data file will be known as the main data file.

The main data file allows more analysis options than an overlay file, which is discussed in the Overlay Add section. Items such as peak finding and probability histograms are applicable only to the main data file.

Once a file is selected from the dialog box, a portion, that which is being viewed, of that file is loaded. You can scroll forwards and backwards through the data, change the amount of data displayed, and view statistical analysis of the data subset by utilizing the controls on the front panel of the ESA410 Analysis program.


Mark Peaks

This command turns on and off the peak marking feature. The peaks found based upon the Criteria specified will be marked by highlighted dots on the time traces of the signal. When printing a report for the Time Domain, the marked peaks will be shown if the Mark Peaks feature is enabled.


Maximum Entropy Method

The Maximum Entropy Method command brings up the Maximum Entropy Method (MEM) window. This window allows the user to pass the currently viewed data through a Maximum Entropy algorithm, and arrive at a Power Spectrum plot. This technique is often used in place of a Power Spectrum calculated using an FFT. The MEM provides a smoothed version of the Power Spectrum as compared to the Fourier Transform. The MEM is also known as the all-poles model or the autoregressive model. The MEM is defined as:

The smoothing window is used to pre-process the data prior to taking the MEM. Several different smoothing windows are available. The smoothing windows help eliminate edge effects which can occur when transforming data. See the section on Smoothing Windows for more information.

The number of frequency bins is used to determine how many discrete frequencies are used to compute the MEM. The data is zero-padded to the next higher power of 2, and the MEM is computed on the input signal. The order determines the maximum number of poles that can exist in the spectrum. The larger the order, the less smoothed the spectrum. A good rule of thumb is to use an order approximately 10% of the total number of data points. For example if you have 200 data points, an order of 20 should be sufficient.

The Export Calculations button exports the data on the Graphs to a tab-delimited ASCII text file. The order of the columns is:

Frequency

Voltage Transform

Current Transform

Ratio of Transforms

The Slopes button is used to bring up the Slope Calculation window.


Mean

This view presents the Mean of a block of raw data. Both the Mean V and Mean I data will be presented. The block length used in the calculation is specified by the user in the Setup File. This view can help to summarize a long term test. The mean is calculated as:


Add...

The Overlay, Add... command is available only after a main data file has been loaded. This command allows the user to add overlay files to the main data file. Overlay files might be added when comparisons between runs or materials need to be examined. Up to 4 overlay files, 5 in all, can be viewed on the screen at one time. The on the main screen legend will update when an overlay file is added so the user can differentiate between the data.

When files are not of similar magnitudes, a data normalization feature can be used. This feature will allow this type of data to be viewed for comparison. The data normalization option is available under the Tools, Options... command.


Remove...

The Overlay, Remove... command is available only after an overlay file has been added to the main data file. This command allows the user to remove one of the overlay files. This command can be used repeatedly if more than one overlay file has been added. Once all of the overlay files have been removed, this command will become disabled.

If the user chooses, the main data file can be removed in place of an overlay file, hence making the first overlay file become the new main data file. This is helpful in case the main data file is no longer pertinent to the data analysis being performed.


Summary...

The summary feature of the peak finder algorithm displays statistical information about the peaks that were found. The following information is displayed for both the voltage and the current:

Max. Peak Interval: | The maximum time between two successive peaks.
Min. Peak Interval: | The minimum time between two successive peaks.
Mean Peak Magnitude: | The average magnitude of all peaks.
# of Peaks: | The total number of peaks found.

A histogram is also displayed for both the voltage and the current showing the distribution of peak magnitudes.


Print Window

This item allows the user to Print the Real-Time acquisition panel to the default Windows printer. The screen will be sized to fit a single page on the printer. For more detailed reports, use the ESA410 Analysis program.


Probability Histogram

The probability Histogram command displays a window containing a histogram of the voltage and current data. The number of points falling within a specific bin are shown on the Y-axis. The magnitude of the bin is shown on the X-axis. The number of bins are defined by the user, with more bins giving a better resolution. Less bins may show a better overall trend in the data, however.

The Export Calculations button exports the data on the Graphs to a tab-delimited ASCII text file. The order of the columns is:

Voltage

# Peaks

Current

# Peaks


Pseudo Wigner-Ville Distribution

Wigner-Ville Distribution (WVD) – displays the highest resolution of all known JTFA algorithms and is part of the reason that the Gabor Spectrogram has good resolution. The Wigner-Ville distribution, however, suffers from interference problems that can be quite severe for some signals. The auto-WVD is defined as:

The following parameters are available in the Wigner-Ville Distribution:

Analytic | Determines if the reconstructed signal is an analytical signal. This can lessen the crossterm interference but will destroy the low frequency portion of the time-dependent spectrum.
Gauss Window Var | This parameter controls the resolution and crossterm interference. This process suppresses only crossterms corresponding to two autoterms with different time centers. This parameter can lessen the crossterm interference, but causes a lessening of the time-frequency resolution.


Report...

The ESA410 Analysis program handles reports on a request basis. A dialog box, pictured below, contains a listing of all the available reports. Each of these reports will contain the last information available at the time a report is selected. This means that any loaded data files will be included in the report, and the parameters used the last time a calculation was run will be used to create the report. For example, if a data file, Test.DTA, is loaded, and has been transformed using the Maximum Entropy Method with a Hanning smoothing window and 512 frequency bins, a report will use the Hanning window and 512 frequency bins. If you load a new data file and click on report without doing any analysis, the same parameters used on a previous file will be used. This means that unless you are using a standard analysis procedure, you will want to verify what the report is going to depict by first running the analysis for which you will want a report.


Resistance

This view presents the average Resistance of a block of raw data. Both the Resistance and the Inverse Resistance will be presented. The block length used in the calculation is specified by the user in the Setup File. The calculation uses Ohms law, V = I*R. To calculate the value over the entire block, Mean V and Mean I are used.

Impedance is calculated as:

Admittance is calculated as:


Root Mean Square

This view presents the Root Mean Square (RMS) of a block of raw data. Both the RMS V and RMS I data will be presented. The block length used in the calculation is specified by the user in the Setup File. The rms value is calculated as:


Short Time Fourier Transform

Short Time Fourier Transform: Also known as a Windowed Fourier transform, the Short Time Fourier Transform (STFT) is a linear transformation which compares the analyzed signal with a set of elementary functions. The frequency tick marks are obtained by modulation of the frequency of these elementary functions. The classical Fourier analysis does not associate a time instant with the basis functions used for transformation. This causes the Fourier transform to not reflect a signal’s time varying tendency. The STFT compares the analyzed signal with elementary functions which are localized in both the time and frequency domains. The limitation of this technique, however, is that the frequency and time resolutions are not independent. Good frequency resolution leads to poor time resolution and vice versa. The STFT is defined as:

The following parameters are available in the STFT calculation:

Window | The window specifies the smoothing window used on the time-domain signal.
Window Length | This is the length of the smoothing window. The Window length must be less than 256. The longer the window the higher the frequency resolution, but the lower the time resolution. A long window is usually termed a narrowband window, while a short window is termed a wideband window.


Sigma

This view presents the Sigma (Standard Deviation) of a block of raw data. Both the Sigma V and Sigma I data will be presented. The block length used in the calculation is specified by the user in the Setup File. This view can help to show an increase in overall noise trends. The standard deviation is calculated as:


Skewness

This view presents the Skewness of a block of raw data. Both the Skewness V and Skewness I data will be presented. The block length used in the calculation is specified by the user in the Setup File. Skewness is calculated as:


Slope Calculation Window

One of the common techniques used in noise analysis today, is to calculate the slope of one or more of the transforms of the raw data. The slope calculation window, shown below, allows the user to determine the slope of a region on a specified graph.

First the user must select the data file for which they want to do slope calculation. This is done by selecting the appropriate file in the Selected File listbox. Once the data file is selected, the user must select the appropriate graph for which they want the slope to be displayed. The available graphs are listed in the Selected Graph drop down box.

The slope for the selected graph will be shown as a line on top of the selected graph. The region over which the slope is calculated can be changed by moving the two cursors on the graph. The area between the cursors is the region over which the slope is calculated. Once the cursors have been moved, the user must click on the Calculate button to force the program to recalculate the slope.

The results of the linear fit which is performed are shown in the Linear Fit Results region of the window. The Slope is the slope of the resulting fitted line. The Y-Intercept is the y-intercept of the resulting fitted line. The Mean Square Error is the mean square error for the linear fit of the data. This error is provided as a simple measure of a goodness of fit. The error has no real correlation to the accuracy of the slope as it pertains to data interpretation.


Statistics

This command brings up the Blocked Statistics Window. This window lets the user recreate the blocked calculations taken during the real time acquisition. This window also gives the flexibility of changing the block time used to calculate the blocked statistics. This is helpful if the user wishes to change to a more or less sensitive block size.

There are currently seven different combinations of graphs which are available. Each will be discussed below:

Mean: Displays the mean of the voltage and the mean of the current per block. The mean is calculated as:

RMS: Displays the root mean square (rms) value of the voltage and the current per block. The rms value is calculated as:

Sigma: Displays the standard deviation value of the voltage and the current per block. The standard deviation is calculated as:

Variance: Displays the variance of the voltage and the current per block. The variance is calculated as:

Skewness: Displays the skewness value of the voltage and the current per block. Skewness is calculated as:

Kurtosis: Displays the kurtosis value of the voltage and the current per block. Kurtosis is calculated as:

Impedance: Displays the impedance and the admittance (inverse impedance) of the block. Impedance is calculated as:

Admittance is calculated as:

The Export Calculations button exports the data on the Graphs to a tab-delimited ASCII text file. The order of the columns is:

XValues

VMean

Imean

VRms

IRms

VSigma

ISigma

VVar

IVar

VSkew

ISkew

VKurt

IKurt

Impedance

Admittance


Variance

This view presents the Variance of a block of raw data. Both the Variance V and Variance I data will be presented. The block length used in the calculation is specified by the user in the Setup File. The variance is calculated as: